config_ns.h File Reference

Library configuration file. More...

Go to the source code of this file.

## Namespaces

namespace | CryptoPP
| Crypto++ library namespace.

## Macros

#define | CRYPTOPP_ENABLE_NAMESPACE_WEAK 1
#define | Weak1 Weak
#define | CryptoPP
#define | NAMESPACE_BEGIN(x)
#define | NAMESPACE_END
#define | DOCUMENTED_TYPEDEF(x, y)
#define | protected private
#define | ANONYMOUS_NAMESPACE_BEGIN namespace {
#define | ANONYMOUS_NAMESPACE_END }
#define | USING_NAMESPACE(x)
#define | DOCUMENTED_NAMESPACE_BEGIN(x)
#define | DOCUMENTED_NAMESPACE_END }

## Detailed Description

Library configuration file.

config_ns.h provides defines for C++ and library namespaces.

config.h was split into components in May 2019 to better integrate with Autoconf and its feature tests. The splitting occurred so users could continue to include config.h while allowing Autoconf to write new config_asm.h and new config_cxx.h using its feature tests.

Note
  You should include config.h rather than config_ns.h directly.

See also
  Issue 835, Make config.h more autoconf friendly, Configure.sh script on the Crypto++ wiki

Since
  Crypto++ 8.3

Definition in file config_ns.h.

## Macro Definition Documentation

## CRYPTOPP_ENABLE_NAMESPACE_WEAK

#define CRYPTOPP_ENABLE_NAMESPACE_WEAK 1

Definition at line 51 of file config_ns.h.

## Weak1

#define Weak1 Weak

Definition at line 52 of file config_ns.h.

## CryptoPP

#define CryptoPP

Definition at line 54 of file config_ns.h.

## NAMESPACE_BEGIN

#define NAMESPACE_BEGIN | ( |  | x | ) |

Definition at line 55 of file config_ns.h.

## NAMESPACE_END

#define NAMESPACE_END

Definition at line 56 of file config_ns.h.

## DOCUMENTED_TYPEDEF

#define DOCUMENTED_TYPEDEF | ( |  | x,
|  |  | y )

Value:
class y : public x {}

Definition at line 58 of file config_ns.h.

## protected

#define protected private

Definition at line 60 of file config_ns.h.

## ANONYMOUS_NAMESPACE_BEGIN

#define ANONYMOUS_NAMESPACE_BEGIN namespace {

Definition at line 70 of file config_ns.h.

## ANONYMOUS_NAMESPACE_END

#define ANONYMOUS_NAMESPACE_END }

Definition at line 71 of file config_ns.h.

## USING_NAMESPACE

#define USING_NAMESPACE | ( |  | x | ) |

Value:
using namespace x;

Definition at line 72 of file config_ns.h.

## DOCUMENTED_NAMESPACE_BEGIN

#define DOCUMENTED_NAMESPACE_BEGIN | ( |  | x | ) |

Value:
namespace x {

Definition at line 73 of file config_ns.h.

## DOCUMENTED_NAMESPACE_END

#define DOCUMENTED_NAMESPACE_END }

Definition at line 74 of file config_ns.h.